osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe > Struct Template Reference

Pは動かす側ではなく攻撃側 More...

Collaboration diagram for osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >:
[legend]

## Public Member Functions
| FixedDefenseHelper (FixedDepthSearcher &s, int d, ProofDisproof &p, PieceStand &pi)
void | operator() (Square)

## Public Attributes
FixedDepthSearcher & | searcher
int | depth
ProofDisproof & | pdp
PieceStand & | pieces
Move | best_move

## Detailed Description

### template<Player P, bool SetPieces, bool MayUnsafe = false>
struct osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >

Pは動かす側ではなく攻撃側

Definition at line 48 of file fixedDepthSearcher.tcc.

## Constructor & Destructor Documentation

template<Player P, bool SetPieces, bool MayUnsafe = false>

osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::FixedDefenseHelper | ( | FixedDepthSearcher & | s,
|  | int | d,
|  | ProofDisproof & | p,
|  | PieceStand & | pi
| ) |  |
| inline

Definition at line 54 of file fixedDepthSearcher.tcc.

## Member Function Documentation

template<Player P, bool SetPieces, bool MayUnsafe = false>

void osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::operator() | ( | Square | ) |  |
| inline

Definition at line 59 of file fixedDepthSearcher.tcc.

References osl::checkmate::FixedDepthSearcher::attack(), osl::checkmate::FixedDepthSearcher::attackMayUnsafe(), osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::best_move, osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::depth, osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::pdp, osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::pieces, and osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::searcher.

## Member Data Documentation

template<Player P, bool SetPieces, bool MayUnsafe = false>

Move osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::best_move

Definition at line 53 of file fixedDepthSearcher.tcc.

Referenced by osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::operator()().

template<Player P, bool SetPieces, bool MayUnsafe = false>

int osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::depth

Definition at line 50 of file fixedDepthSearcher.tcc.

Referenced by osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::operator()().

template<Player P, bool SetPieces, bool MayUnsafe = false>

ProofDisproof& osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::pdp

Definition at line 51 of file fixedDepthSearcher.tcc.

Referenced by osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::operator()().

template<Player P, bool SetPieces, bool MayUnsafe = false>

PieceStand& osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::pieces

Definition at line 52 of file fixedDepthSearcher.tcc.

Referenced by osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::operator()().

template<Player P, bool SetPieces, bool MayUnsafe = false>

FixedDepthSearcher& osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::searcher

Definition at line 49 of file fixedDepthSearcher.tcc.

Referenced by osl::checkmate::FixedDefenseHelper< P, SetPieces, MayUnsafe >::operator()().

The documentation for this struct was generated from the following file:

- fixedDepthSearcher.tcc